Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ContextMenuPolicy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ContextMenuPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ContextMenuPolicy

extends java.lang.Enum
implements QtEnumerator

This enum type defines the various policies a widget can have with respect to showing a context menu.

See Also:
  Serialized Form

Field Summary
`static Qt.ContextMenuPolicy` | `ActionsContextMenu` the widget displays its `QWidget::actions()` as context menu.
`static Qt.ContextMenuPolicy` | `CustomContextMenu` the widget emits the `QWidget::customContextMenuRequested()` signal.
`static Qt.ContextMenuPolicy` | `DefaultContextMenu` the widget's `QWidget::contextMenuEvent()` handler is called.
`static Qt.ContextMenuPolicy` | `NoContextMenu` the widget does not feature a context menu, context menu handling is deferred to the widget's parent.
`static Qt.ContextMenuPolicy` | `PreventContextMenu` the widget does not feature a context menu, and in contrast to `NoContextMenu`, the handling is not deferred to the widget's parent.

Method Summary
`static Qt.ContextMenuPolicy` | `resolve(int value)` Returns the ContextMenuPolicy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ContextMenuPolicy` | `valueOf(java.lang.String name)`
`static Qt.ContextMenuPolicy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoContextMenu

    public static final Qt.ContextMenuPolicy NoContextMenu

  the widget does not feature a context menu, context menu handling is deferred to the widget's parent.

### DefaultContextMenu

    public static final Qt.ContextMenuPolicy DefaultContextMenu

  the widget's `QWidget::contextMenuEvent()` handler is called.

### ActionsContextMenu

    public static final Qt.ContextMenuPolicy ActionsContextMenu

  the widget displays its `QWidget::actions()` as context menu.

### CustomContextMenu

    public static final Qt.ContextMenuPolicy CustomContextMenu

  the widget emits the `QWidget::customContextMenuRequested()` signal.

### PreventContextMenu

    public static final Qt.ContextMenuPolicy PreventContextMenu

  the widget does not feature a context menu, and in contrast to `NoContextMenu`, the handling is not deferred to the widget's parent. This means that all right mouse button events are guaranteed to be delivered to the widget itself through `mousePressEvent()` , and `mouseReleaseEvent()` .

Method Detail

### values

    public static Qt.ContextMenuPolicy[] values()

### valueOf

    public static Qt.ContextMenuPolicy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ContextMenuPolicy resolve(int value)

  Returns the ContextMenuPolicy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD